jQuery(document).ready(function($){

    $(document).on('click', '#cricket-league-welcome-notice .notice-dismiss', function(){

        $.ajax({
            type: 'POST',
            url: ajaxurl,
            data: {
                action: 'cricket_league_dismiss_notice'
            }
        });

    });

});